# update-license

This is a small tool that updates the license header for Uber's open source Golang files.

## Installation

```
go get go.uber.org/tools/update-license
```

## Usage

```
update-license go_files...
```

## Further Work

* Support more licenses by name (MIT, Apache 2.0, etc), file path, url (http GET)
* Support custom owner (not just "Uber Technologies, Inc.")
* Support more languages than go (cover go, java, js, py to start, along with LICENSE, LICENSE.txt)
* Talk about removing custom logic for header comments (ie `@generated`, `Code generated by`), it probably makes more sense just to put the license at the top
* Better detection support for existing licenses so they can be removed
* Verbose, dry run support
